---
image: registry.gitlab.com/role_unit/role_unit_containers:build

variables:
  DOCKER_DRIVER: overlay2
  DEBIAN_FRONTEND: noninteractive

services:
  - docker:dind

# Tests model

.test_template: &test_definition
  script:
    - apk del ansible ansible-core ansible-lint
    - pip install ansible==9.0.0 ansible-lint --break-system-packages
    - python3 --version
    - ansible --version
    - RU_ENV_IMAGE=${CI_JOB_NAME/*_/} tests/bash_unit tests/tests_apache2*

# Test jobs

single_debian10:
  <<: *test_definition

lint:
  script:
    - ansible-lint --version
    - ansible-lint -c .config/ansible-lint.yml .
